VERSION 5.00
Begin VB.Form frm_dfolder 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Fix Folder"
   ClientHeight    =   1050
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5745
   Icon            =   "frm_rfolder.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1050
   ScaleWidth      =   5745
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmd_delete 
      Caption         =   "Attempt &Delete"
      Height          =   375
      Left            =   4320
      TabIndex        =   5
      Top             =   120
      Width           =   1335
   End
   Begin VB.TextBox txt_name 
      Height          =   375
      Left            =   1440
      TabIndex        =   4
      Top             =   600
      Width           =   2775
   End
   Begin VB.CommandButton cmd_rename 
      Caption         =   "Attempt &Rename"
      Height          =   375
      Left            =   4320
      TabIndex        =   2
      Top             =   600
      Width           =   1335
   End
   Begin VB.CommandButton cmd_pick 
      Caption         =   "&Pick Folder ..."
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label lbl_name 
      Alignment       =   1  'Right Justify
      Caption         =   "&New Name:"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   680
      Width           =   1215
   End
   Begin VB.Label lbl_folder 
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   1440
      TabIndex        =   1
      Top             =   120
      Width           =   2775
   End
End
Attribute VB_Name = "frm_dfolder"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim ol As New Outlook.Application
Dim ms As New MAPI.Session
Dim mystoreid
Dim myfolderid

Private Sub cmd_delete_Click()
On Error GoTo myerror
If lbl_folder.Caption = "" Then
    MsgBox "You must specify a folder.", vbInformation, "Delete Folder"
    Exit Sub
End If

Dim cfolder As Folder
ms.Logon , , False, False
Set cfolder = ms.GetFolder(myfolderid, mystoreid)

iconfirm = MsgBox("Are you sure you want to delete the " & lbl_folder & " folder?", vbExclamation + vbYesNo, "Confirm Deletion")
If iconfirm = 6 Then
    cfolder.Delete
End If


ms.Logoff
Set ms = Nothing
Set ol = Nothing
MsgBox "Deletion completed.", vbInformation, "Delete Folder"
End
Exit Sub
myerror:
MsgBox "Error : " & Err.Number & " - " & Err.Description
ms.Logoff
Set ms = Nothing
Set ol = Nothing
End Sub

Private Sub cmd_rename_Click()
On Error GoTo myerror
If txt_name.Text = "" Then
    MsgBox "You must specify a new name for the folder.", vbInformation, "Rename Folder"
    Exit Sub
End If

If lbl_folder.Caption = "" Then
    MsgBox "You must specify a folder.", vbInformation, "Rename Folder"
    Exit Sub
End If

Dim cfolder As Folder
ms.Logon , , False, False
Set cfolder = ms.GetFolder(myfolderid, mystoreid)

iconfirm = MsgBox("Are you sure you want to rename the " & lbl_folder & " folder?", vbExclamation + vbYesNo, "Confirm Rename")
If iconfirm = 6 Then
    cfolder.Name = txt_name.Text
End If


ms.Logoff
Set ms = Nothing
Set ol = Nothing
MsgBox "Rename completed.", vbInformation, "Rename Folder"
End
Exit Sub
myerror:
MsgBox "Error : " & Err.Number & " - " & Err.Description
ms.Logoff
Set ms = Nothing
Set ol = Nothing

End Sub

Private Sub cmd_pick_Click()
Dim myfolder As mapiFolder
On Error GoTo canceled
Set myfolder = ol.Session.PickFolder
lbl_folder.Caption = myfolder.Name
mystoreid = myfolder.StoreID
myfolderid = myfolder.EntryID
cmd_pick.SetFocus
Exit Sub
canceled:
If Err.Number <> 91 Then
    MsgBox "Error : " & Err.Number & " - " & Err.Description
End If

End Sub

Private Sub Form_Load()
MsgBox "To use this utility, you must have : " & vbCrLf & vbCrLf & "1. CDO installed (optional part of Outlook Setup)" & vbCrLf & "2. VB6 Runtime Library (MSVBVM60.DLL)" & vbCrLf & "3. Outlook open and running" & vbCrLf & vbCrLf & "Send comments to Scott_Bradley@MSN.com", vbInformation + vbOKOnly, "Utility Requirements"
End Sub
